import store from '@/store'
import api from '@/utils/api'
// import { Message, MessageBox } from 'element-ui'
import { Message } from 'element-ui'

/**
* @description: 向对频api 提交数据
*/
export async function apiCrosFrequency (params) {
  const data = new URLSearchParams()// post对象参数 转成 字符串连接
  data.append('macAdd', params.macAdd)
  data.append('id', params.id)
  const res = await api.post('crosFrequency', data)
  if (res.data.status === 1) {
    Message.success(res.data.msg)
    store.dispatch('fetchAirList')// 更新飞机列表
  } else {
    Message.error(res.data.msg)
  }
}
/**
 * @description: 向改变订单承接任务api 提交数据  () ，并更新订单列表
 * @param {*} id 订单id
 * @param {*} state "status"修改status字段 "back"修改back字段
 * @param {*} val 修改字段的值 status包括
 *                                      canceled:交易取消
 *                                      unpaid:未付款
 *                                      pending:处理中(已付款)
 *                                      processing:备货中
 *                                      shipped:已发货
 *                                      completed:已完成
 *                                      closed:交易关闭
 *                             back包括
 *                                      normal:未申请
 *                                      requested:申请退款
 *                                      refunded:已经退款
 *                                      rejected:拒绝退款
 *                                      actively:商家主动取消订单并退款
 */
export function questAss (id, state, val) {
  const data = new URLSearchParams()// post对象参数 转成 字符串连接
  data.append('id', id)
  data.append('state', state)
  data.append('val', val)
  api.post('questAss', data).then(res => {
    if (res.data.status === 1) {
      Message.success(res.data.msg)
      store.dispatch('fetchOrderList')// 更新订单列表
    } else {
      Message.error(res.data.msg)
    }
  })
}
